Bug 623161 - Event not generated for unsubscribe entitlement (subscription revoked from server)
Summary: Event not generated for unsubscribe entitlement (subscription revoked from se...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 13:40 UTC by spandey
Modified: 2018-12-10 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-10 15:37:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description spandey 2010-08-11 13:40:57 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to verify : 
subscribe entitlement A 
Delete entitlement A from server side (ref https://engineering.redhat.com/trac/IntegratedMgmtQE/wiki/imanage_qe_crl_example)
restart rhsmcertd

Expected Result : 
Event should generate for unsubscribed entitlement A 

Actual Result : 
Not able to find atom feed event for unsubscribe entitlement A

Comment 1 wes hayutin 2010-08-11 22:53:37 UTC
removing an entitlement from the server side is working for me..

/usr/bin/curl -u admin:admin -k --header 'Content-type: application/json' --header 'Accept: application/json' --request DELETE https://localhost:8443/candlepin/entitlements/1

ENTITLEMENT DELETED
21121UserPrincipal [ownerId=1, username=admin, roles=[SUPER_ADMIN]]ENTITLEMENT2010-08-11T18:11:16.317-04:00DELETED

ENTITLEMENT CREATED
21111ConsumerPrincipal [ownerId=1, uuid=24111dd1-2adb-4084-8d03-caba25f886f4, roles=[CONSUMER]]ENTITLEMENT2010-08-11T18:10:23.503-04:00CREATED

CONSUMER CREATED
22101UserPrincipal [ownerId=1, username=admin, roles=[SUPER_ADMIN]]CONSUMER2010-08-11T18:10:07.735-04:00CREATED


Please retest

Comment 2 spandey 2010-08-12 11:11:50 UTC
Not able to repro 

so iam closing defect

Comment 3 John Sefler 2011-05-04 14:40:48 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 5 Bryan Kearney 2018-12-10 15:37:02 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.